Bug 1379459 - Fedora 25 official backgrounds not yet present in images / installed systems
Summary: Fedora 25 official backgrounds not yet present in images / installed systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
Depends On:
Blocks: F25BetaFreezeException F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-09-26 19:40 UTC by Adam Williamson
Modified: 2017-03-28 11:32 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-20 13:14:01 UTC


Attachments (Terms of Use)

Description Adam Williamson 2016-09-26 19:40:27 UTC
Current F25 images and installs are using the generic pre-release backgrounds, not the official F25 backgrounds. https://bodhi.fedoraproject.org/updates/f25-backgrounds-25.0.0-1.fc25%20desktop-backgrounds-25.0.0-1.fc25 provides the necessary packages, there may also be kickstart / comps changes needed, not sure. This bug should be a Final blocker, also nominating as Beta FE as Beta freeze is coming up.

Comment 1 Adam Williamson 2016-09-26 19:48:41 UTC
looks like some non-blocking desktops specify f24-backgrounds subpackages in kickstarts and comps so we should fix those after the update goes stable, but blocking desktops should be OK with just the update, I think.

Comment 2 Fedora Update System 2016-09-27 07:21:07 UTC
desktop-backgrounds-25.0.0-1.fc25, f25-backgrounds-25.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01b667a139

Comment 3 Stephen Gallagher 2016-09-27 15:14:15 UTC
Obvious +1 FE

Comment 4 Dennis Gilmore 2016-09-28 01:17:16 UTC
+1 FE

Comment 5 Adam Williamson 2016-09-28 01:29:21 UTC
That's +3, setting accepted.

Comment 6 Fedora Update System 2016-09-28 13:09:33 UTC
desktop-backgrounds-25.0.0-1.fc25, f25-backgrounds-25.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Adam Williamson 2016-09-28 19:42:09 UTC
I didn't set the update to close the bug, just so we can check if all the blocking images are actually OK now, or if we still need any further changes. We need to check at least the x86_64 KDE and Workstation lives, and the ARM Xfce image. Note that Fedora-25-20160928.n.0 did not include the update, it just missed making it into that compose.

Comment 8 Petr Schindler 2016-10-03 17:14:57 UTC
Discussed at 2016-10-03 blocker review meeting: [1]. 

This bug was accepted as Final blocker: This bug violates "The proposed final Fedora artwork must be included and used as the background on release-blocking desktops. All Fedora artwork visible in critical path actions on release-blocking desktops must be consistent with the proposed final theme."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-10-03/

Comment 9 Adam Williamson 2016-10-03 21:53:57 UTC
It seems like not everything is done here, yet. The official F25 background is used in SDDM:

https://openqa.fedoraproject.org/tests/38253#step/_graphical_wait_login/5

but not as the actual KDE background:

https://openqa.fedoraproject.org/tests/38253#step/_graphical_wait_login/6

and isn't used by Workstation at all, AFAICS:

https://openqa.fedoraproject.org/tests/38237#step/_graphical_wait_login/12

KDE and Workstation folks, what do we still need in order for those desktops to actually use the correct backgrounds?

Comment 10 Adam Williamson 2016-10-03 22:11:32 UTC
Ah. So, I know the problem for GNOME:

* Wed Apr 27 2016 Owen Taylor <otaylor@redhat.com> - 3.20.1-2 - Remove dependency on system-backgrounds-gnome; this made sense when gnome-desktop contained the GConf schemas, but now the background settings live in gsettings-desktop-schemas and are overridden to point to a Fedora background with a file we drop in from desktop-backgrounds-gnome.

since that change, there has been nothing pulling desktop-backgrounds-gnome into the Workstation spin at all. It only has gnome-backgrounds , which is an upstream package. There is no desktop-backgrounds-(anything) or f25-backgrounds-(anything) on the current F25 Workstation nightlies at all.

The simplest fix for that would be to add desktop-backgrounds-gnome to the 'gnome-desktop' or 'workstation-product' group in comps, I guess.

Comment 11 Adam Williamson 2016-10-03 22:15:37 UTC
sorry, I didn't mention, that changelog entry is from gnome-desktop3. Prior to that change, gnome-desktop3 pulled in desktop-backgrounds-gnome , which is why it's on the F24 (and earlier) images. Now nothing does, and it isn't on current F25 or Rawhide nightlies.

Comment 12 Adam Williamson 2016-10-03 22:28:34 UTC
For KDE, rdieter says:

<rdieter> adamw: we need to make a corresponding f25-kde-theme yet
<rdieter> usually takes a bit after the usual backgrounds land
<rdieter> and yay, latest plasma release seems to have broke/changed how that works (default backgrounds)
<adamw> well, i don't understand why there needs to be an f25-kde-theme
<adamw> isn't it possible to have an unversioned one, though, which would point to a location that'd be fulfilled by desktop-backgrounds-kde somehow?
<rdieter> adamw: <nod>, I'll see if I can come up with something a bit more futureproof this time around

Comment 13 Rex Dieter 2016-10-03 22:30:03 UTC
As far as kde goes, we still need to make a custom plasma theme to use the new f25 backgrounds (similar to f24-kde-theme).  

For posterity, would be nice if we had more time (only had a week between backgrounds landing and beta release). :(  We have some ideas on how to make this more future proof so that fXX-backgrounds can "just work" on kde spin without any extra fuss.

Comment 14 Adam Williamson 2016-10-03 22:38:03 UTC
for the record, the way it works on GNOME is that desktop-backgrounds-gnome ships a gsettings schema override (actually two, one for background, one for lock screen) which points the settings key org.gnome.desktop.background.picture-uri to the appropriate background definition from fXX-backgrounds-base (currently, they point to /usr/share/backgrounds/f25/default/f25.xml ). So when a new release comes we have to create the fXX-backgrounds package , and update desktop-backgrounds-gnome's overrides to point to those; but there is no release-specific package besides fXX-backgrounds , and no comps or spin-kickstarts changes are needed.

Comment 15 Adam Williamson 2016-10-04 23:46:07 UTC
https://pagure.io/fedora-comps/pull-request/56 should hopefully fix this for Workstation in Beta. KDE still won't have the right background, the theme package isn't ready yet.

Comment 16 Rex Dieter 2016-10-09 00:12:04 UTC
kde-wise, f25-backgrounds-25.0.0-2 includes steps to make this more sustainable in the future.  the -kde subpkg now includes both wallpaper and plasma desktoptheme.

Now all that's missing is a configuration change to use it by default.

Comment 17 Fedora Update System 2016-10-09 12:29:06 UTC
f25-backgrounds-25.0.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-05472a7746

Comment 18 Luya Tshimbalanga 2016-10-09 18:26:37 UTC
(In reply to Rex Dieter from comment #16)
> kde-wise, f25-backgrounds-25.0.0-2 includes steps to make this more
> sustainable in the future.  the -kde subpkg now includes both wallpaper and
> plasma desktoptheme.
> 
> Now all that's missing is a configuration change to use it by default.

New kde schema will be implemented for supplemental wallpapers as well.

Comment 19 Rex Dieter 2016-10-09 19:39:29 UTC
The plasma desktoptheme's primary purpose is to provide a way to use a wallpaper by default.  Given that, adding desktoptheme's for supplemental wallpapers is probably not needed.

Comment 20 Luya Tshimbalanga 2016-10-10 02:16:41 UTC
(In reply to Rex Dieter from comment #19)
> The plasma desktoptheme's primary purpose is to provide a way to use a
> wallpaper by default.  Given that, adding desktoptheme's for supplemental
> wallpapers is probably not needed.

Noted. Once supplemental wallpapers are available you can test them.

Comment 21 Fedora Update System 2016-10-11 04:57:01 UTC
f25-backgrounds-25.0.0-2.fc25, kde-settings-25-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-05472a7746

Comment 22 Fedora Update System 2016-10-11 15:42:06 UTC
f25-backgrounds-25.0.0-2.fc25, kde-settings-25-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Kamil Páral 2016-10-20 13:14:01 UTC
I booted Fedora-Workstation-Live-x86_64-25-20161019.n.0.iso and Fedora-KDE-Live-x86_64-25-20160919.n.0.iso and both contain the new wallpaper. Closing.

Comment 24 Adam Williamson 2017-03-28 05:24:28 UTC
Well, your new system didn't work perfectly, Rex. F26 Alpha RC3 still shows the F25 background when logged into KDE.

I notice kde-settings-plasma has a specific requirement for f25-backgrounds-kde, which no-one knew to bump. I'm bumping that now. I *think* this should solve the problem.

Comment 25 Adam Williamson 2017-03-28 06:22:53 UTC
Also, the usr/share/kde-settings/kde-profile/default/xdg/plasmarc file in kde-settings has to be changed to get the correct background to appear. All this is stuff someone has to know to do every cycle. See also https://bugzilla.redhat.com/show_bug.cgi?id=1435423 , I'm going to document this stuff there.

Comment 26 Rex Dieter 2017-03-28 11:32:29 UTC
Sure, the prior changes were only an incremental improvement, not a complete solution (yet).  Sorry if I'd suggested otherwise.


Note You need to log in before you can comment on or make changes to this bug.